gtkmm: Gdk::EventDND Class Reference

gtkmm 3.91.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions | List of all members
Gdk::EventDND Class Reference

Generated during Drag-and-Drop (DND) operations. More...

`#include <gdkmm/events.h>`

Inheritance diagram for Gdk::EventDND:
[legend]

## Public Member Functions
| EventDND ()
| Creates an invalid event object. More...
| EventDND (GdkEventDND* gobject, bool make_a_copy=false)
| Wraps a C event instance. More...
void | swap (EventDND& other) noexcept
GdkEventDND* | gobj () noexcept
| Provides access to the underlying C instance. More...
const GdkEventDND* | gobj () const noexcept
| Provides access to the underlying C instance. More...
GdkEventDND* | gobj_copy () const
| Provides access to the underlying C instance. More...
guint32 | get_time () const
| Returns the timestamp of the event in milliseconds. More...
double | get_root_x () const
| Returns the X coordinate of the pointer relative to the root screen. More...
double | get_root_y () const
| Returns the Y coordinate of the pointer relative to the root screen. More...
Glib::RefPtr< Gdk::DragContext > | get_context ()
| Returns the drag context. More...
Glib::RefPtr< const Gdk::DragContext > | get_context () const
Public Member Functions inherited from Gdk::Event
| Event ()
| Creates an invalid event object. More...
| Event (GdkEvent* gobject, bool make_a_copy=false)
| Wraps a C event instance. More...
| Event (const Event& other)
Event& | operator= (const Event& other)
| Event (Event&& other) noexcept
Event& | operator= (Event&& other) noexcept
| ~Event () noexcept
void | swap (Event& other) noexcept
GdkEvent* | gobj () noexcept
| Provides access to the underlying C instance. More...
const GdkEvent* | gobj () const noexcept
| Provides access to the underlying C instance. More...
GdkEvent* | gobj_copy () const
| Provides access to the underlying C instance. More...
| operator bool () const noexcept
| Discover whether the event is valid. More...
Event::Type | get_event_type () const
| Retrieves the type of the event. More...
Glib::RefPtr< Gdk::Window > | get_window ()
| Returns the window which received the event. More...
Glib::RefPtr< const Gdk::Window > | get_window () const
bool | is_send_event () const
| Returns `true` if the event was sent explicitly (e.g. More...
Glib::RefPtr< Screen > | get_screen ()
| Returns the screen for the event. More...
Glib::RefPtr< const Screen > | get_screen () const
| Returns the screen for the event. More...
Glib::RefPtr< Seat > | get_seat ()
| Returns the Gdk::Seat this event was generated for. More...
Glib::RefPtr< const Seat > | get_seat () const
| Returns the Gdk::Seat this event was generated for. More...
void | put ()
| Appends a copy of the given event onto the front of the event queue for event->any.window’s display, or the default event queue if event->any.window is `nullptr`. More...

## Related Functions
(Note that these are not member functions.)
void | swap (EventDND& lhs, EventDND& rhs) noexcept
const EventDND& | wrap_event (const GdkEventDND*& event)
| Wraps a C event instance without making unnecessary copy when the ownership can not be acquired. More...
EventDND& | wrap_event (GdkEventDND*& event)
| See wrap_event(const GdkEventDND*& event). More...
Gdk::EventDND | wrap (GdkEventDND* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gdk::Event
void | swap (Event& lhs, Event& rhs) noexcept
const Event& | wrap_event (const GdkEvent*& event)
| Wraps a C event instance without making unnecessary copy when the ownership can not be acquired. More...
Event& | wrap_event (GdkEvent*& event)
| See wrap_event(const GdkEvent*& event). More...
Gdk::Event | wrap (GdkEvent* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gdk::Event
enum | Type { Type::NOTHING = -1, Type::DELETE = 0, Type::DESTROY = 1, Type::EXPOSE = 2, Type::MOTION_NOTIFY = 3, Type::BUTTON_PRESS = 4, Type::DOUBLE_BUTTON_PRESS = 5, Type::TRIPLE_BUTTON_PRESS = 6, Type::BUTTON_RELEASE = 7, Type::KEY_PRESS = 8, Type::KEY_RELEASE = 9, Type::ENTER_NOTIFY = 10, Type::LEAVE_NOTIFY = 11, Type::FOCUS_CHANGE = 12, Type::CONFIGURE = 13, Type::MAP = 14, Type::UNMAP = 15, Type::PROPERTY_NOTIFY = 16, Type::SELECTION_CLEAR = 17, Type::SELECTION_REQUEST = 18, Type::SELECTION_NOTIFY = 19, Type::PROXIMITY_IN = 20, Type::PROXIMITY_OUT = 21, Type::DRAG_ENTER = 22, Type::DRAG_LEAVE = 23, Type::DRAG_MOTION = 24, Type::DRAG_STATUS = 25, Type::DROP_START = 26, Type::DROP_FINISHED = 27, Type::CLIENT_EVENT = 28, Type::VISIBILITY_NOTIFY = 29, Type::SCROLL = 31, Type::WINDOW_STATE = 32, Type::SETTING = 33, Type::OWNER_CHANGE = 34, Type::GRAB_BROKEN = 35, Type::DAMAGE = 36, Type::TOUCH_BEGIN = 37, Type::TOUCH_UPDATE = 38, Type::TOUCH_END = 39, Type::TOUCH_CANCEL = 40, Type::TOUCHPAD_SWIPE = 41, Type::TOUCHPAD_PINCH = 42, Type::PAD_BUTTON_PRESS = 43, Type::PAD_BUTTON_RELEASE = 44, Type::PAD_RING = 45, Type::PAD_STRIP = 46, Type::PAD_GROUP_MODE = 47, Type::EVENT_LAST = 48 }
| Specifies the type of the event. More...
Static Public Member Functions inherited from Gdk::Event
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static void | set_show_events (bool show_events)
| Sets whether a trace of received events is output. More...
static bool | get_show_events ()
| Gets whether event debugging output is enabled. More...
static Event | get ()
| Checks all open displays for a Gdk::Event to process,to be processed on, fetching events from the windowing system if necessary. More...
static Event | peek ()
| If there is an event waiting in the event queue of some open display, returns a copy of it. More...
static bool | events_pending ()
| Checks if any events are ready to be processed for any display. More...

## Detailed Description

Generated during Drag-and-Drop (DND) operations.

get_event_type() will return one of Gdk::Event::Type::DRAG_ENTER, Gdk::Event::Type::DRAG_LEAVE, Gdk::Event::Type::DRAG_MOTION, Gdk::Event::Type::DRAG_STATUS, Gdk::Event::Type::DROP_START or Gdk::Event::Type::DROP_FINISHED.

Since gtkmm 3.90:

## Constructor & Destructor Documentation

Gdk::EventDND::EventDND | ( |  | ) |

Creates an invalid event object.

Calling any member functions other than operator bool() is undefined behavior. An invalid event object can be used in a function call, if the underlying C function expects a NULL GdkEventDND pointer.

Gdk::EventDND::EventDND | ( | GdkEventDND * | gobject,
|  | bool | make_a_copy = `false`
| ) |  |
| explicit

Wraps a C event instance.

This constructor either acquires ownership of gobject, or copies it.

Parameters

  gobject | Event to wrap.
  make_a_copy | If `false`, the ownership of gobject is acquired, otherwise a copy is made.

## Member Function Documentation

Glib::RefPtr<Gdk::DragContext> Gdk::EventDND::get_context | ( |  | ) |

Returns the drag context.

Glib::RefPtr<const Gdk::DragContext> Gdk::EventDND::get_context | ( |  | ) | const

double Gdk::EventDND::get_root_x | ( |  | ) | const

Returns the X coordinate of the pointer relative to the root screen.

Only meaningful if get_event_type() returns Gdk::Event::Type::DRAG_MOTION or Gdk::Event::Type::DROP_START.

double Gdk::EventDND::get_root_y | ( |  | ) | const

Returns the Y coordinate of the pointer relative to the root screen.

guint32 Gdk::EventDND::get_time | ( |  | ) | const

Returns the timestamp of the event in milliseconds.

GdkEventDND* Gdk::EventDND::gobj | ( |  | ) |
| inlinenoexcept

Provides access to the underlying C instance.

const GdkEventDND* Gdk::EventDND::gobj | ( |  | ) | const
| inlinenoexcept

Provides access to the underlying C instance.

GdkEventDND* Gdk::EventDND::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance.

The caller is responsible for freeing it with gdk_event_free(). Use when directly setting fields in structs.

void Gdk::EventDND::swap | ( | EventDND& | other | ) |
| noexcept

## Friends And Related Function Documentation

void swap | ( | EventDND& | lhs,
|  | EventDND& | rhs
| ) |  |
| related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

Gdk::EventDND wrap | ( | GdkEventDND * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | `false` if the result should take ownership of the C instance, `true` if it should take a new copy.

Returns
  A C++ instance that wraps this C instance.

const EventDND& wrap_event | ( | const GdkEventDND *& | event | ) |
| related

Wraps a C event instance without making unnecessary copy when the ownership can not be acquired.

The event pointer must not be deleted until last usage of the returned instance. Note, that this requirement applies to the pointer itself, in addition to the object it is pointing to.

EventDND& wrap_event | ( | GdkEventDND *& | event | ) |
| related

See wrap_event(const GdkEventDND*& event).